# Changelog
## [1.5.0] 2024-04-09
### Добавлено
- блок "Настройки ПКЭ" на вкладке "Сервисные настройки"
- отображение напряжения дополнительной батареи
- объект аппаратной блокировки реле на вкладке "Контроль отключения"
- возможность циклического чтения уровня сигнала GSM
- отображение калибровочного коэффициента по температуре
- проверка состояния блокировки управления реле
- описание событий для журнала ПКЭ
- группа объектов "Настройка учета" на вкладке Сервисные настройки
- вкладка настроек Nb-IoT
- вывод сообщения о недопустимой операции с реле

### Изменено
- настройка индикации ЖКИ
- удалена вкладка Номинальные значения
- отображение статусов GSM LTE
- отображение уровня сигнала RSSI
- выгрузка данных в Excel
- расположение кнопок в настройках режима подсветки

### Исправлено
- выгрузка журнала "Мгновенные значения"
- отображение кнопки удаления для Таблицы специальных дней
- проблема ввода номера класса в окне мониторинга
- поддержка работы с классом №8195 MilurModemSetup 
- отображение кнопки удаления для Тарифного расписания
- подключение по TCP
- запись и отображение часового пояса
- отображение индекса строки в таблице специальных дней
- отображение данных для класса Register

## [1.4.1] 2024-02-15
### Добавлено
- предупреждение о смене пароля
- ограничение выбора тарифа в календаре активации
- сортировка COM портов
- название календаря при выгрузке в json
- дополнительные журналы для выгрузки
- проверка уровня доступа для работы с таблицей специальных дней
- единицы измерения для вкладки "Накопленная энергия"
- единицы измерения в журналах
- проверка для чтения диграмм
- сообщение об успешной загрузки тарифного расписания
- импорт/экспорт настроек GSM
- имя выгружаемого календаря

### Изменено
- порядок вкладок меню
- отображение вкладок "Ограничители" и "Контроль отключения" для ПУ трансформаторного включения
- порядок профилей в меню "Профили измерений (архивы)"
- название уровней доступа
- названия профилей нагрузки
- название ограничителей
- возможность смены состояния в вкладке "Ограничители" под уровнем доступа "Низкий с паролем"
- скрыта область "Реле" для трехфазных приборов косвенного включения
- отображение некоторых объектов у однофазного ПУ
- отображение элементов управления для некоторых виджетов

### Исправлено
- запись названия календаря
- отображение кнопки записи RF настроек в зависимости от уровня доступа
- возможность уменьшать размер окна
- отображение пустой области на вкладке "Состояние прибора учета"
- запись имени с пробелом для недельного и сезонного профиля
- единицы измерения уровня сигнала GSM
- редактирование Activity Calendar
- отображение кнопок Удалить и Добавить расписание на вкладке Тарифное расписание
- отображение кнопок активного календаря
- отображение кнопки записи на вкладке "Настройки ЖКИ"
- отображение кнопки Импорт данных на вкладке "Тарифное расписание"
- неправильный формат данных в профилях энергии
- отображение поля "Рассогласование времени"

## [1.4.0] 2023-12-20
### Добавлено
- разделение "Журналов" на "Журналы событий" и "Профили результатов измерений"
- возможность чтения и записи IMEI из GSM модуля (класс MilurIPv4Setup)
- возможность конфигурирования RF во вкладке "Настройка коммуникационных модулей"
- возможность конфигурирования GSM во вкладке "Настройка коммуникационных модулей"
- вкладка для настройки ЖКИ
- поддержка блочной записи данных
- возможность смены скорости обмена
- вкладка "Состояние прибора учета"
- возможность конфигурирования проброса данных на другие интерфейсы
- возможность записи даты активации для Activity Calendar
- валидация времени в дневном профиле

### Изменено
- имя вкладки с "Мгновенные значения" на "Текущие значения" 
- видимость виджета "Настройки доступа" для публичного клиента
- видимость профилей масштаба и ЖКИ
- имя вкладки "Сервисная информация" на "Общая информация" и ее содержание
- отбражение кнопок "Добавить", "Удалить" в календаре активации
- имя раздела с "Настройка двунаправленного учета" на "Настройка импульсного выхода" (вкладка "Сервисные настройки")
- стандартное значение времени в сезонном профиле при редактировании
- отображение кнопок для переключения ВПО во вкладке "Передача двоичных файлов" для версий ВПО 2.0
- убран Часовой профиль для 1.18.x
- выбор подключения по "Серийному номеру" или "Физическому адресу" перенесено на вкладку "Параметры подключения"
- поддержка таблицы специальных дней для версий ВПО ниже 1.18.x
- отображение версии ВПО во вкладке "Передача двоичных файлов"
- отображение вкладки настройки GSM-модуля
- отображение ошибок
- удалена вкладка "Состояние датчиков"

### Исправлено
- экстренное завершение конфигуратора при чтении
- сбор объектной модели
- экстренное завершение конфигуратора при подключении по TCP
- возможность записи одинаковых значений в Сезонный профиль
- отображение кнопки "Загрузка" на вкладке "Передача двоичных файлов"
- удаление параметров индикации
- отображение кнопки Текущий срез

## [1.3.1] 2023-10-13
### Добавлено
- запись локального времени с учетом тарифной зоны

## [1.3.0] 2023-07-28
### Добавлено
- подтверждение переключения реле
- проверка введенных данных перед записью календаря активирования
- дата выгрузки в имени файла и в каждом листе отчета об устройстве
- соединение по серийному номеру
- вкладка "Диаграммы"
- закрытие сеанса связи с ПУ после активации загруженного ВПО в 108	
- значения потребленной электрической энергии на конец последнего программируемого расчетного периода 1.0.1.8.0.101 - 1.0.1.8.4.101
- редактор класса GPRS modem setup
- поддержка работы со специальным классом MilurIPv4Setup  №8194

### Изменено
- отображение кнопок "Текущий срез" и "Очистить журнал" для некоторых профилей

### Исправлено
- перевод столбцов в редакторе коллекций
- возможность редактирования значений при выключенном состоянии ограничителей во вкладке "Ограничители"
- добавление дневной зоны в дневном профиле
- возможность редактирования активного календаря
- экстренное завершение конфигуратора
- возможность записи коэффициентов трансформации в зависимости от модели
- проблема при записи порога ограничителей
- отображение ID дня в "Календаре активирования" и "Таблице специальных дней"

## [1.2.0] 2023-05-16
### Добавлено
- вкладка "Номинальные значения"
- обьекты на вкладку "Состояние датчиков" для поддержки СПОДЭС v.3
- отображение объекта "Версия спецификации СПОДЭС" на вкладке "Сервисная информация"
- выгрузка информации о счетчике
- поддержка типа данных boolean для класса Data
- импорт/экспорт файла Activity calendar
- возможность отдельного чтения периода захвата при чтении журнала

### Изменено
- отображение пустой даты
- отображение режима работы реле в редакторе Disconnect Control
- отображаемые объекты на вкладке "Мгновенные значения" для СПОДЭС v3
- редактирование тарифного расписания
- работа с таблицей специальных дней согласно DLMS

### Исправлено
- отображение даты и времени в сезонном профиле Activity calendar
- отображение названия классов в редакторе AssociationLN
- убран редактор пароля для «Публичный клиент» на вкладке "Настройки доступа"
- размер редактора атрибутов
- ошибка чтения всех записей по селективному доступу в пустых журналах
- двойное чтение атрибута №7 при чтении журналов
- запись названия активного/пассивного календаря
- диапозон вводимых данных для дневного профиля в соответствии с типом данных
- отображение дневного профиля
- отображение параметра "Объект сортировки" в Profile Generic
- отображение дискретных входов/выходов
- запись даты в Special days table
- сброс таблицы специальных дней для ВПО 1.18.x

## [1.1.0] 2023-03-13
### Исправлено
- единицы измерения для активной энергии 1.0.1.8.0.255
- наименование 'Месячный профиль' 1.0.98.1.0.255
- наименование Соединение типа 'Разработчик' 1.0.98.1.0.255
- просмотр объектов в редакторе справочников
- отображение кнопки "Записать" на вкладке "Тарифное расписание"
- поиск объекта в коллекции справочника по OBIS-коду
- сброс до предыдущего значения при изменении настроек при нажатии на клавишу "Enter"

### Добавлено
- отображение единицы измерения объекта в редакторе объектов для класса Register
- логирование данных в файл
- обновление данных объекта о Capture Object в коллекции при чтении от ПУ
- виджет для чтения/записи пароля доступа

## [1.0.3] 2022-10-06
### Добавлено
- ссылка на сайт производителя в справке "О программе"
- возможность выбора использования прокси
- возможность открыть руководство пользователя через меню "Справка" -> "Руководство пользователя"

### Исправлено
- работа с занятыми COM портами
- единицы измерения для угла сдвига фазы 1.0.81.7.40.255
- чтение Activity calendar из списка объектов
- применение настроек для журналов
- применение количества повторов запроса

### Изменено
- имя файла при экспорте в excel
- заголовок таблицы виджета "Накопленная энергия"
- наименование мощностей в коллекциях согласно ТЗ
- отображение даты и времени селективного доступ ProfileGeneric

## [1.0.2] 2022-08-16
### Добавлено
- блокировка группы управления реле, если установлена блокировка реле
- перевод кнопок для вспылвающих сообщений
- описание ошибок в ответе от ПУ

### Исправлено
- падение программы при выборе объекта справочника
- неправильная запись порога фиксации МП и ограничителя магнитного поля
- скаляр для энергии по тарифам
- чтение и запись кириллических символов
- отображение статуса переход на летнее время при повторном подключении
- отображение единиц измерения на вкладке "Ограничители"

### Изменено
- отображение пустых значений на вкладке "Сервисная информация" и "Состояние датчиков"
- отображение часового пояса во вкладке "Время"

## [1.0.1] 2022-05-19
### Добавлено
- предупреждение об ошибке во время разбора коллекции
- возможность прокрутки информации на вкладке "Сервисные настройки" при чтении данных

### Изменено:
- отображение полей в редакторе CaptureObject справочника

### Исправлено:
- директория сохранения собранной коллекции из ПУ
- чтение и запись объектов использующие скаляр
- отображение интерфейса на экранах с низким разрешением
- коллекции для прошивок версии 1.17.x

## [1.0.0] 2022-05-19
### Добавлено
- чтение серийного номера печатного узла 0.0.180.184.0.255
- возможность управления ретрансляцией 0.0.165.164.0.255, 0.0.165.165.0.255
- настройка двунаправленого учета 1.0.181.180.0.255, 1.0.181.181.0.255
- управление импульсными выходами 1.0.181.182.0.255, 1.0.181.183.0.255, 1.0.182.180.0.255
- возможность изменения серийного номера ПУ
- возможность изменения модификации ПУ
- возможность изменения даты производства ПУ
- возможность изменения серийного номера печатного узла
- управление инициативным выходом
- чтение/запись порогов
- установка заводских параметров
- заводская инициализация
- сброс энергии
- чтение версии IDM 1.0.181.183.0.255
- чтение напряжения батареи резервного питания 0.0.96.6.3.255
- универсальный редактор объектов dlms data
- универсальный редактор dlms activity calendar
- подключение к ПУ с правами "разработчика"
- возможность редактирования калибровочных коэффициентов
- верификация даты для таблицы праздничных дней
- редактор объектов класса DLMS Association LN
- централизованная обработка ошибок
- редактор настроек ЖК дисплея
- возможность изменения модификации ПУ 0.0.96.1.1.255
- универсальный редактор объектов Script Table
- универсальный редактор атрибута
- универсальный редактор объектов Limiter
- универсальный редактор Register activation
- универсальный редактор объектов Image transfer
- универсальный редактор объектов Disconnect control
- возможность управления блокировкой реле
- универсальный редактор объектов Profile Generic
- возможность изменения атрибута capture period в редакторе Profile Generic
- универсальный редактор объектов HDLC Setup
- универсальный редактор объектов Local port setup
- размерность на вкладке "Clock"
- описание кодов событий в журналах
- отображение истории сообщений
- универсальный редактор объектов Special Days Table
- универсальный редактор Data
- универсальный редактор Register

### Изменено:
- структура словарей
- конвертация XML-файла
- вкладка "Время" преобразована в редактор для объектов класса Clock
- процедура обмена данными с ПУ перенесена в отдельный поток

### Исправлено:
- работа ограничителей для прошивки ВПО 1.17.0 и новее
- ошибка при поиске объекта словаря
- "вылет" конфигуратора при удалении действующей коллекции
- аварийное завершение конфигуратора при удалении из таблицы праздничных дней


## [0.16.0] 2021-12-17
### Добавлено
- возможность отправлять команды уровня DLMS во вкладке "Мониторинг"
- считывание даты последней установки времени
- отображание фазовых углов
- отображение рассогласования времени
- отображение даты последней калибровки во вкладку "Служебная информация" 
- валидация пароля верхнего уровня
- скрытие вкладок с недоступным функционалом
- экспорт данных в формат .xlsx
- запоминание параметров подключения через COM порт и TCP
- отображение журналов в вие дерева в меню выбора вкладки
- возможность редактирования пассивного тарифного расписания
- переключение между активным и пассивным тарифными расписаниями

### Изменено
- переработано меню с выбором вкладок


## [0.15.0] 2021-11-16
### Изменено
- используемая версия библиотеки DLMS Lib обновлена до версии 2.1.0
- добавлены дополнительные опции импорта описания коллекции объектов
- отображение версии билда прошивки на вкладке "Управление ВПО" для прошивек 1.16.0 и новее
- вкладка "Ограничители" отключена при уровне доступа низский с паролем
- обновлены коллекции объектов
- добавлены колекции объектов для прошивок 1.16.x
- добавлена обработка атрибута 6 для объектов ProfileGeneric на прошивках 1.6.0 и новее
- КТ трансформации по току и напряжению убраны из вкладки "Сервисные настройки"

### Добавлено
- настройка темы
- настрока принудительного отображения обис кодов объектов
- MVC модель энергии
- MVC модель ProfileGeneric
- отображение иниативного выхода во вкладку "Мониторинг"
- подстрока к минуте во вкладке "Время"
- ограничитель по вскрытию электроных пломб
- проверка корректности введеных дат для вкладок "Тарифное расписание" и "Таблица специальных дней"
- вкладка "Управление ВПО" и возможно перепрошивки ПУ для прошивок 1.6.0 и новее
- редактирование КТ по току и напряжению
- данные точки учета на вкладку "Сервисные настройки"
- очищение предыдущих значений в тарифном расписании и таблице праздничных дней при открытии сеанса связи

### Исправлено
- импорт файла тарифного расписания для 3ф
- запись тарифного расписания
